/* DEMAIN.C */

#include <demo.g>

GLDEF_C VOID main(VOID)
    {
    IN_HWIMMAN app;
    IN_WSERV wserv;

    p_linklib(0);
    app.flags=FLG_APPMAN_RSCFILE|FLG_APPMAN_SRSCFILE|
                                    FLG_APPMAN_CLEAN|FLG_APPMAN_FULLSCREEN;
    wserv.com_cat=app.wserv_cat=p_getlibh(CAT_DEMO_DEMO);
    app.wserv_class=C_DEWSERV;
    wserv.com_class=C_DECOMMAN;
    p_send4(p_new(CAT_DEMO_HWIM,C_HWIMMAN),O_AM_INIT,&app,&wserv);
    }
